View Issue Details

IDProjectCategoryView StatusLast Update
0003689SymmetricDSBugpublic2018-09-06 14:00
Reporterjosh-a-hicksAssigned Tojosh-a-hicks 
Prioritynormal 
Status closedResolutionfixed 
Product Version3.9.0 
Target Version3.9.13Fixed in Version3.9.13 
Summary0003689: Excluded columns that are part of a foreign key the foreign key remains in table object
DescriptionIf a column is excluded on a table trigger and that column is part of a foreign key on the table, the foreign key remains on the table object. This causes issues when issuing an initial load and requesting the table be created prior to the load. The table definition will have a foreign key with a local column that does not exist on the table.

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: 3.9 af9a129e

2018-08-23 07:45:59

josh-a-hicks

Details Diff
0003689: Excluded columns that are part of a foreign key the foreign key
remains in table object

0003689
mod - symmetric-db/src/main/java/org/jumpmind/db/model/Table.java Diff File

SymmetricDS: 3.9 208106c1

2018-09-06 07:45:13

josh-a-hicks

Details Diff
0003689: Excluded columns that are part of a foreign key the foreign key
remains in table object

0003689
mod - symmetric-db/src/main/java/org/jumpmind/db/model/Table.java Diff File

Issue History

Date Modified Username Field Change
2018-08-23 07:45 josh-a-hicks New Issue
2018-08-23 07:45 josh-a-hicks Status new => assigned
2018-08-23 07:45 josh-a-hicks Assigned To => josh-a-hicks
2018-08-23 07:48 josh-a-hicks Status assigned => resolved
2018-08-23 07:48 josh-a-hicks Resolution open => fixed
2018-08-23 07:48 josh-a-hicks Fixed in Version => 3.9.13
2018-08-23 08:00 josh-a-hicks Changeset attached => SymmetricDS 3.9 af9a129e
2018-08-31 09:33 chenson Status resolved => closed
2018-09-06 14:00 josh-a-hicks Changeset attached => SymmetricDS 3.9 208106c1